--------------------------------------------------------
-- Archivo creado  - domingo-junio-17-2018   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Procedure ADD_CIRU_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_CIRU_PROCE" 
(FECI IN DATE, HC IN VARCHAR2,PC IN VARCHAR2 ,IDBI IN NUMBER, IDCC IN NUMBER, IDCO IN NUMBER) IS
BEGIN
    INSERT INTO CIRUGIA
    (FECHA_CIRU,HORA_CIRU,PROCESO_CIRU,ID_BITACORA,ID_CAT_CIRU,ID_COSTO) VALUES
    (FECI,HC,PC,IDBI,IDCC,IDCO);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_CLINICA_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_CLINICA_PROCE" 
(DIRECCION_CLI IN VARCHAR2,NOMBRE_CLI IN VARCHAR2,TELELFONO_CLI IN VARCHAR2, ID_REGION IN INTEGER) IS
BEGIN
    INSERT INTO CLINICA (DIRECCION_CLI,NOMBRE_CLI,TELELFONO_CLI, ID_REGION)
    VALUES (DIRECCION_CLI,NOMBRE_CLI,TELELFONO_CLI,ID_REGION);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_CON_MED_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_CON_MED_PROCE" 
(ID_CAT IN NUMBER,IDDOCTOR in NUMBER, DESCRIPCION IN VARCHAR2 ,IDEXPEDIENTE in NUMBER) IS
FECHA DATE;
CORRELATIVO NUMBER(10,0) := 0;
MAXFECHA DATE;
BEGIN

    SELECT SYSDATE INTO FECHA FROM DUAL;
    SELECT MAX(FECHA_CON) INTO MAXFECHA FROM CONSULTAMEDICA WHERE ID_CAT_CON = ID_CAT;
    SELECT MAX(CORRELATIVO_CON) INTO CORRELATIVO  FROM CONSULTAMEDICA WHERE  ID_CAT_CON = ID_CAT AND TO_DATE(FECHA_CON, 'DD/MM/YYYY') = TO_DATE(MAXFECHA,'DD/MM/YYYY');

    IF(MAXFECHA = NULL ) THEN
    MAXFECHA := FECHA;
    CORRELATIVO := 0;
    END IF;
    IF(TO_CHAR(MAXFECHA,'DD/MM/YYYY') = TO_CHAR(FECHA, 'DD/MM/YYYY')) THEN
       CORRELATIVO := CORRELATIVO + 1;
    ELSE
        CORRELATIVO := 1;
    END IF;
    INSERT INTO CONSULTAMEDICA
    (CORRELATIVO_CON,FECHA_CON,DESCRIPCION_CON,ID_CAT_CON,ID_DOCTOR,ID_EXPEDIENTE) VALUES
    (CORRELATIVO,    FECHA,    DESCRIPCION,    ID_CAT,    IDDOCTOR, IDEXPEDIENTE);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_COS_SER_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_COS_SER_PROCE" 
(FECO IN DATE, UM VARCHAR2) IS
BEGIN

    INSERT INTO COSTOSPORSERVICIOS
    (FECHA_COSTO,TOTAL_COSTO,UNIDADMONETARIA) VALUES
    (FECO,0,UM);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_DIAG_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_DIAG_PROCE" 
(IDCATDI in NUMBER, IDCO in NUMBER) IS
FECHA DATE;
BEGIN
    SELECT SYSDATE INTO FECHA FROM DUAL;
    INSERT INTO DIAGNOSTICO
    (FECHA_DIAG,ID_CATA_DIAG,ID_CONSULTA) VALUES
    (FECHA, IDCATDI, IDCO);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_DOC_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_DOC_PROCE" 
(ESPECIALIDAD_DOC in VARCHAR2, ID_EMPLEADO in NUMBER) IS
BEGIN
    INSERT INTO DOCTOR 
    (ESPECIALIDAD_DOC, ID_EMPLEADO ) VALUES
    (ESPECIALIDAD_DOC, ID_EMPLEADO );
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_EMP_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_EMP_PROCE" 
(APELLIDO_EMPLEADO in VARCHAR2,DUI_EMP IN VARCHAR2,EMAIL_EMP in VARCHAR2,NOMBRE_EMPLEADO in VARCHAR2,TELEFONO_EMP IN VARCHAR2) IS
BEGIN
    INSERT INTO EMPLEADO
    (APELLIDO_EMPLEADO, DUI_EMP, EMIL_EMP, NOMBRE_EMPLEADO, TELEFONO_EMP ) VALUES
    (APELLIDO_EMPLEADO, DUI_EMP, EMAIL_EMP, NOMBRE_EMPLEADO, TELEFONO_EMP );
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_EXA_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_EXA_PROCE" (Id_Consulta In Number Default Null, Id_Px In Number, Id_Cat In Number)
Is
v_re number;
Begin
v_re :=Id_Consulta + Id_Px + Id_Cat;
dbms_Output.Put_Line('PX' ||Id_Px );
dbms_Output.Put_Line('Resultado ---> ' || v_re );

End;

/
--------------------------------------------------------
--  DDL for Procedure ADD_HOS_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_HOS_PROCE" 
(DIRHOS IN VARCHAR2,NOMHOS IN VARCHAR2, TELEHOS IN VARCHAR2, IDREG IN NUMBER) IS
BEGIN
    INSERT INTO HOSPITAL (DIRECCION_HOS,NOMBRE_HOS,TELEFONO_HOS,ID_REGION)
    VALUES (DIRHOS,NOMHOS,TELEHOS,IDREG);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_HOSPITALIZACION_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_HOSPITALIZACION_PROCE" 
(FEINI IN DATE,FEFIN IN DATE, IDDOC IN NUMBER, IDPAC IN NUMBER, IDSAL IN NUMBER) IS
IDH NUMBER;
FEH DATE;
BEGIN
    INSERT INTO HOSPITALIZACION (FECHA_INICIO_HOSP,FECHA_FIN_HOSP,ID_DOCTOR, ID_PACIENTE, ID_SALA)
    VALUES (FEINI,FEFIN,IDDOC,IDPAC,IDSAL);
    COMMIT;
    SELECT MAX(ID_HOSPITALIZACION) INTO IDH FROM HOSPITALIZACION;
    SELECT SYSDATE INTO FEH FROM DUAL;
    INSERT INTO BITACORAPROCEDIMIENTOS (FECHA_BITACORA,TOTAL,ID_HOSPITALIZACION)
    VALUES (FEH,0,IDH);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_MEDCA_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_MEDCA_PROCE" 
(DOC IN VARCHAR2, IDBI IN NUMBER, IDCM IN NUMBER, IDCO IN NUMBER, IDTR IN NUMBER) IS
BEGIN
    IF(IDBI=0) THEN
    INSERT INTO MEDICAMENTO
    (DOCIS_MED, ID_BITACORA ,ID_CAT_MEDI, ID_COSTO, ID_TRATAMIENTO) VALUES
    (DOC, NULL, IDCM, IDCO, IDTR );
    COMMIT;
    END IF;
    IF(IDTR=0)THEN
    INSERT INTO MEDICAMENTO 
    (DOCIS_MED, ID_BITACORA ,ID_CAT_MEDI, ID_COSTO, ID_TRATAMIENTO) VALUES
    (DOC, IDBI, IDCM, IDCO, NULL );
    COMMIT;
    END IF;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_PACIENTE_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_PACIENTE_PROCE" 
(APELLIDO_DE_CASADO_PAC IN VARCHAR2,
APELLIDO_PAC IN VARCHAR2,
DIRECCION_PAC IN  VARCHAR2,
EMAIL_PAC  IN  VARCHAR2,
ESTADO_CIVIL_PAC IN  VARCHAR2,
FECHA_NACIMIENTO_PAC IN DATE,
GENERO_PAC IN  VARCHAR2,
NOMBRE_PAC IN  VARCHAR2,
NUMERO_IDENTIFICACION IN  VARCHAR2,
RESPONSABLE_POR_EMERGENCIA_PAC IN  VARCHAR2,
TELEFONO_PAC IN  VARCHAR2)
IS
BEGIN

    INSERT INTO PACIENTE 
    (APELLIDO_DE_CASADO_PAC,APELLIDO_PAC ,DIRECCION_PAC,EMAIL_PAC,ESTADO_CIVIL_PAC,FECHA_NACIMIENTO_PAC,GENERO_PAC ,NOMBRE_PAC,NUMERO_IDENTIFICACION ,
RESPONSABLE_POR_EMERGENCIA_PAC,TELEFONO_PAC )
    VALUES (APELLIDO_DE_CASADO_PAC,APELLIDO_PAC ,DIRECCION_PAC,EMAIL_PAC,ESTADO_CIVIL_PAC,FECHA_NACIMIENTO_PAC,GENERO_PAC ,NOMBRE_PAC,NUMERO_IDENTIFICACION ,
RESPONSABLE_POR_EMERGENCIA_PAC,TELEFONO_PAC );
commit;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_REG_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_REG_PROCE" 
(CONT IN VARCHAR2, PAIS IN VARCHAR2) IS
BEGIN
    INSERT INTO REGION
    (CONTINIENTE,PAIS) VALUES
    (CONT,PAIS);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_SAL_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_SAL_PROCE" 
(CS IN NUMBER,HS IN NUMBER, IDH IN NUMBER) IS
BEGIN
    INSERT INTO SALA (CAMA_SAL, HABITACION_SAL, ID_HOSPITAL)
    VALUES (CS,HS,IDH);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_SEG_CIR_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_SEG_CIR_PROCE" 
(TS IN VARCHAR2, IC IN NUMBER) IS
BEGIN
    INSERT INTO SEGUIMIENTOCIRUGIA
    (TIPO_SEGUIMIENTO, ID_CIRUGIA) VALUES
    (TS,IC);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_SIG_VIT_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_SIG_VIT_PROCE" 
(ALTURA_SIV in FLOAT,FRECUENCIA_CARDIACA_SIV IN NUMBER,PESO_SIV in FLOAT,PRESION_ARTERIAL_SIV in VARCHAR2,TEMPERATURA_SIV IN FLOAT,ID_CONSULTA in NUMBER) IS
BEGIN
    INSERT INTO SIGNOSVITALES 
    (ALTURA_SIV,FRECUENCIA_CARDIACA_SIV,PESO_SIV,PRESION_ARTERIAL_SIV,TEMPERATURA_SIV,ID_CONSULTA ) VALUES
    (ALTURA_SIV,FRECUENCIA_CARDIACA_SIV,PESO_SIV,PRESION_ARTERIAL_SIV,TEMPERATURA_SIV,ID_CONSULTA );
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_SIN_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_SIN_PROCE" 
(SIT IN VARCHAR2, IDCON IN NUMBER) IS
BEGIN
    INSERT INTO SINTOMATOLOGIA 
    (SINTOMAS,ID_CONSULTA) VALUES
    (SIT,IDCON);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_TERA_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_TERA_PROCE" 
(FETR IN DATE, IDBI IN NUMBER, IDCT IN NUMBER, IDCO IN NUMBER, IDTR IN NUMBER) IS
BEGIN
    INSERT INTO TERAPIA
    (FECHA_DE_TERA,ID_BITACORA ,ID_CAT_TERA, ID_COSTO, ID_TRATAMIENTO) VALUES
    (FETR, IDBI, IDCT, IDCO, IDTR );
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure ADD_TRA_MED_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."ADD_TRA_MED_PROCE" 
(FRTR IN NUMBER, TITR IN VARCHAR2, IDDI IN NUMBER) IS
BEGIN
    INSERT INTO TRATAMIENTOMEDICO
    (FRECUENCIA_TRA,TIPO_TRA,ID_DIAGNOSTICO) VALUES
    (FRTR, TITR, IDDI);
    COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UDP_CON_MED_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UDP_CON_MED_PROCE" 
(IDCON IN NUMBER, DES IN VARCHAR2, IDDO IN NUMBER) 
IS
DESCO VARCHAR2(1024);
IDDOC NUMBER;
BEGIN
  IF(DES=NULL)THEN
  SELECT DESCRIPCION_CON INTO DESCO FROM CONSULTAMEDICA WHERE ID_CONSULTA = IDCON;
  ELSE
  DESCO := DES;
  END IF;
  IF(IDDO=NULL)THEN
  SELECT ID_DOCTOR INTO IDDOC FROM CONSULTAMEDICA WHERE ID_CONSULTA = IDCON;
  ELSE
  IDDOC := IDDO;
  END IF;
  UPDATE CONSULTAMEDICA
  SET DESCRIPCION_CON = DESCO, ID_DOCTOR = IDDOC
  WHERE ID_CONSULTA = IDCON;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UDP_DIAG_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UDP_DIAG_PROCE" 
(IDDIAG IN NUMBER, FEC IN DATE, IDCADI in NUMBER,IDCO in NUMBER) 
IS
FECH DATE;
IDCADIG NUMBER;
IDCON NUMBER;
BEGIN
  IF(FEC=NULL)THEN
  SELECT FECHA_DIAG INTO FECH FROM DIAGNOSTICO WHERE ID_DIAGNOSTICO = IDDIAG;
  ELSE
  FECH := FEC;
  END IF;
  IF(IDCADI=NULL)THEN
  SELECT ID_CATA_DIAG INTO IDCADIG FROM DIAGNOSTICO WHERE ID_DIAGNOSTICO = IDDIAG;
  ELSE
  IDCADIG := IDCADI;
  END IF;
  IF(IDCO=NULL)THEN
  SELECT ID_CONSULTA INTO IDCON FROM DIAGNOSTICO WHERE ID_DIAGNOSTICO = IDDIAG;
  ELSE
  IDCON := IDCO;
  END IF;
  UPDATE DIAGNOSTICO
  SET FECHA_DIAG=FECH, ID_CATA_DIAG=IDCADIG, ID_CONSULTA=IDCON
  WHERE ID_DIAGNOSTICO = IDDIAG;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UDP_DOC_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UDP_DOC_PROCE" 
(IDDOC IN NUMBER, ESP IN VARCHAR2, IDEM IN NUMBER) 
IS
ESPD VARCHAR2(1024);
IDEMD NUMBER;
BEGIN
  IF(ESP=NULL)THEN
  SELECT ESPECIALIDAD_DOC INTO ESPD FROM DOCTOR WHERE ID_DOCTOR = IDDOC;
  ELSE
  ESPD := ESP;
  END IF;
  IF(IDEM=NULL)THEN
  SELECT ID_EMPLEADO INTO IDEMD FROM DOCTOR WHERE ID_DOCTOR = IDDOC;
  ELSE
  IDEMD := IDEM;
  END IF;
  UPDATE DOCTOR
  SET ESPECIALIDAD_DOC = ESPD, ID_EMPLEADO = IDEMD
  WHERE ID_DOCTOR=IDDOC;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UDP_SAL_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UDP_SAL_PROCE" 
(IDS IN NUMBER,CS IN NUMBER,HS IN NUMBER, IDH IN NUMBER) 
IS
CAS NUMBER;
HAS NUMBER;
IDHO NUMBER;
BEGIN
  IF(CS=NULL)THEN
  SELECT CAMA_SAL INTO CAS FROM SALA WHERE ID_SALA=IDS;
  ELSE
  CAS := CS;
  END IF;
  IF(HS=NULL)THEN
  SELECT HABITACION_SAL INTO  HAS FROM SALA WHERE ID_SALA=IDS;
  ELSE
  HAS := HS;
  END IF;
  IF(IDH=NULL)THEN
  SELECT ID_HOSPITAL INTO IDHO FROM SALA WHERE ID_SALA=IDS;
  ELSE
  IDHO := IDH;
  END IF;
  UPDATE SALA
  SET CAMA_SAL=CAS, HABITACION_SAL=HAS, ID_HOSPITAL=IDHO
  WHERE ID_SALA=IDS;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UDP_SIG_VIT_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UDP_SIG_VIT_PROCE" 
(IDSIG IN NUMBER, ALT IN FLOAT, FCS IN NUMBER, PESS IN FLOAT, PAS IN VARCHAR2, TES FLOAT, IDCO IN NUMBER) 
IS
ALTS FLOAT;
FCSS NUMBER;
PESSV FLOAT;
PASS VARCHAR2(1024);
TESS FLOAT;
IDCOS NUMBER;
BEGIN
  IF(ALT=NULL)THEN
  SELECT ALTURA_SIV INTO ALTS FROM SIGNOSVITALES WHERE ID_SIGNOS_VITALES = IDSIG;
  ELSE ALTS := ALT; END IF;
  IF(ALT=NULL)THEN
  SELECT FRECUENCIA_CARDIACA_SIV INTO FCSS FROM SIGNOSVITALES WHERE ID_SIGNOS_VITALES = IDSIG;
  ELSE FCSS := FCS; END IF;
  IF(ALT=NULL)THEN
  SELECT PESO_SIV INTO PESSV FROM SIGNOSVITALES WHERE ID_SIGNOS_VITALES = IDSIG;
  ELSE PESSV := PESS; END IF;
  IF(ALT=NULL)THEN
  SELECT PRESION_ARTERIAL_SIV INTO PASS FROM SIGNOSVITALES WHERE ID_SIGNOS_VITALES = IDSIG;
  ELSE PASS := PAS; END IF;
  IF(ALT=NULL)THEN
  SELECT TEMPERATURA_SIV INTO TESS FROM SIGNOSVITALES WHERE ID_SIGNOS_VITALES = IDSIG;
  ELSE TESS := TES; END IF;
  IF(ALT=NULL)THEN
  SELECT ID_CONSULTA INTO IDCOS FROM SIGNOSVITALES WHERE ID_SIGNOS_VITALES = IDSIG;
  ELSE IDCOS := IDCO; END IF;
  UPDATE SIGNOSVITALES
  SET ALTURA_SIV=ALTS,FRECUENCIA_CARDIACA_SIV=FCSS,PESO_SIV=PESSV,PRESION_ARTERIAL_SIV=PASS,TEMPERATURA_SIV=TESS,ID_CONSULTA=IDCOS
  WHERE ID_SIGNOS_VITALES = IDSIG;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UDP_SIN_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UDP_SIN_PROCE" 
(IDS IN NUMBER, SIN IN VARCHAR2, IDC IN NUMBER) 
IS
SINT VARCHAR2(1024);
IDCO NUMBER;
BEGIN
  IF(SIN=NULL)THEN
  SELECT SINTOMAS INTO SINT FROM SINTOMATOLOGIA WHERE ID_SINTOMATOLOGIA = IDS;
  ELSE
  SINT := SIN;
  END IF;
  IF(IDC=NULL)THEN
  SELECT ID_CONSULTA INTO IDCO FROM SINTOMATOLOGIA WHERE ID_SINTOMATOLOGIA = IDS;
  ELSE
  IDCO := IDC;
  END IF;
  UPDATE SINTOMATOLOGIA
  SET SINTOMAS = SINT, ID_CONSULTA = IDCO
  WHERE ID_SINTOMATOLOGIA = IDS;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_CIRU_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_CIRU_PROCE" 
(IDCI IN NUMBER,FECI IN DATE, HC IN VARCHAR2, PC IN VARCHAR2 ,IDBI IN NUMBER, IDCC IN NUMBER, IDCO IN NUMBER) 
IS
FC DATE;
HCI VARCHAR(100);
CT NUMBER;
IB NUMBER;
ICC NUMBER;
IC NUMBER;
PRC VARCHAR(1024);
BEGIN
  IF(FECI=NULL)THEN
  SELECT FECHA_CIRU INTO FC FROM CIRUGIA WHERE ID_CIRUGIA=IDCI;
  ELSE
  FC := FECI;
  END IF;
  IF(HC=NULL)THEN
  SELECT HORA_CIRU INTO HCI FROM CIRUGIA WHERE ID_CIRUGIA=IDCI;
  ELSE
  HCI := HC;
  END IF;
  IF(PC=NULL)THEN
  SELECT PROCESO_CIRU INTO PRC FROM CIRUGIA WHERE ID_CIRUGIA=IDCI;
  ELSE
  PRC := PC;
  END IF;
  IF(IDBI=NULL)THEN
  SELECT ID_BITACORA INTO IB FROM CIRUGIA WHERE ID_CIRUGIA=IDCI;
  ELSE
  IB := IDBI;
  END IF;
  IF(IDCC=NULL)THEN
  SELECT ID_CAT_CIRU INTO ICC FROM CIRUGIA WHERE ID_CIRUGIA=IDCI;
  ELSE
  ICC := IDCC;
  END IF;
  IF(IDCO=NULL)THEN
  SELECT ID_COSTO INTO IC FROM CIRUGIA WHERE ID_CIRUGIA=IDCI;
  ELSE
  IC := IDCO;
  END IF;
  UPDATE CIRUGIA
  SET FECHA_CIRU=FC, HORA_CIRU=HCI, PROCESO_CIRU=PRC, ID_BITACORA=IB, ID_CAT_CIRU=ICC, ID_COSTO=IC
  WHERE ID_CIRUGIA=IDCI;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_CLINICA_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_CLINICA_PROCE" 
(ID_CLINICA IN INTEGER,DIRECCION_CLI IN VARCHAR2,NOMBRE_CLI IN VARCHAR2,TELELFONO_CLI IN VARCHAR2, ID_REGION IN NUMBER) 
IS
DICLI VARCHAR2(1024);
NOCLI VARCHAR2(1024);
TECLI VARCHAR2(1024);
IDREG NUMBER;
BEGIN
  IF(DIRECCION_CLI=NULL)THEN
  SELECT DIRECCION_CLI INTO  DICLI FROM CLINICA WHERE ID_CLINICA=ID_CLINICA;
  ELSE
  DICLI := DIRECCION_CLI;
  END IF;
  IF(NOMBRE_CLI=NULL)THEN
  SELECT NOMBRE_CLI INTO  NOCLI FROM CLINICA WHERE ID_CLINICA=ID_CLINICA;
  ELSE
  NOCLI := NOMBRE_CLI;
  END IF;
  IF(TELELFONO_CLI=NULL)THEN
  SELECT TELELFONO_CLI INTO  TECLI FROM CLINICA WHERE ID_CLINICA=ID_CLINICA;
  ELSE
  TECLI := TELELFONO_CLI;
  END IF;
  IF(ID_REGION=NULL)THEN
  SELECT ID_REGION INTO  IDREG FROM CLINICA WHERE ID_CLINICA=ID_CLINICA;
  ELSE
  IDREG := ID_REGION;
  END IF;
  UPDATE CLINICA
  SET DIRECCION_CLI=DICLI, NOMBRE_CLI=NOCLI, TELELFONO_CLI=TECLI, ID_REGION=IDREG
  WHERE ID_CLINICA=ID_CLINICA;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_COS_SER_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_COS_SER_PROCE" 
(IDCOS IN NUMBER,FECO IN DATE, UM IN VARCHAR2) 
IS
UMD VARCHAR2(1024);
FE DATE;
BEGIN
  IF(FECO=NULL)THEN
  SELECT Fecha_Costo INTO FE FROM COSTOSPORSERVICIOS WHERE Id_Costo=IDCOS; 
  ELSE
  FE := FECO;
  END IF;
  IF(UM=NULL)THEN
  SELECT UNIDADMONETARIA INTO UMD FROM COSTOSPORSERVICIOS WHERE Id_Costo=IDCOS; 
  ELSE
  UMD := UM;
  END IF;
  UPDATE COSTOSPORSERVICIOS
  SET FECHA_COSTO=FE, UNIDADMONETARIA=UM
  WHERE Id_Costo=IDCOS; 
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_EMP_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_EMP_PROCE" 
(IDEMP IN NUMBER, APE IN VARCHAR2, DUI IN VARCHAR2, EMIL IN VARCHAR2, NOM IN VARCHAR2, TELE IN VARCHAR2) 
IS
APEE VARCHAR2(1024);
DUIE VARCHAR2(1024);
EMILE VARCHAR2(1024);
TELEE VARCHAR2(1024);
NOME VARCHAR2(1024);
BEGIN
  IF(APE=NULL)THEN
  SELECT APELLIDO_EMPLEADO INTO APEE FROM EMPLEADO WHERE ID_EMPLEADO = IDEMP;
  ELSE
  APEE := APE;
  END IF;
  IF(DUI=NULL)THEN
  SELECT DUI_EMP INTO DUIE FROM EMPLEADO WHERE ID_EMPLEADO = IDEMP;
  ELSE
  DUIE := DUI;
  END IF;
  IF(EMIL=NULL)THEN
  SELECT EMIL_EMP INTO EMILE FROM EMPLEADO WHERE ID_EMPLEADO = IDEMP;
  ELSE
  EMILE := EMIL;
  END IF;
   IF(NOM=NULL)THEN
  SELECT NOMBRE_EMPLEADO INTO NOME FROM EMPLEADO WHERE ID_EMPLEADO = IDEMP;
  ELSE
  NOME := NOM;
  END IF;
  IF(TELE=NULL)THEN
  SELECT TELEFONO_EMP INTO TELEE FROM EMPLEADO WHERE ID_EMPLEADO = IDEMP;
  ELSE
  TELEE := TELE;
  END IF;
  UPDATE EMPLEADO
  SET APELLIDO_EMPLEADO = APEE, NOMBRE_EMPLEADO = NOME, DUI_EMP = DUIE, EMIL_EMP = EMILE, TELEFONO_EMP = TELEE
  WHERE ID_EMPLEADO=IDEMP;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_HOS_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_HOS_PROCE" 
(IDHOS IN NUMBER,DIRHOS IN VARCHAR2,NOMHOS IN VARCHAR2, TELEHOS IN VARCHAR2, IDRE IN NUMBER) 
IS
DIHOS VARCHAR2(1024);
NOHOS VARCHAR2(1024);
TEHOS VARCHAR2(1024);
IDREG NUMBER;
BEGIN
  IF(DIRHOS=NULL)THEN
  SELECT DIRECCION_HOS INTO  DIHOS FROM HOSPITAL WHERE ID_HOSPITAL=IDHOS;
  ELSE
  DIHOS := DIRHOS;
  END IF;
  IF(NOMHOS=NULL)THEN
  SELECT NOMBRE_HOS INTO  NOHOS FROM HOSPITAL WHERE ID_HOSPITAL=IDHOS;
  ELSE
  NOHOS := NOMHOS;
  END IF;
  IF(TELEHOS=NULL)THEN
  SELECT TELEFONO_HOS INTO  TEHOS FROM HOSPITAL WHERE ID_HOSPITAL=IDHOS;
  ELSE
  TEHOS := TELEHOS;
  END IF;
  IF(IDRE=NULL)THEN
  SELECT ID_REGION INTO  IDREG FROM HOSPITAL WHERE ID_HOSPITAL=IDHOS;
  ELSE
  IDREG := IDRE;
  END IF;
  UPDATE HOSPITAL
  SET DIRECCION_HOS=DIHOS, NOMBRE_HOS=NOHOS, TELEFONO_HOS=TEHOS, ID_REGION=IDREG
  WHERE ID_HOSPITAL=IDHOS;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_HOSPITALIZACION_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_HOSPITALIZACION_PROCE" 
(IDHOS IN NUMBER,FEINI IN DATE,FEFIN IN DATE, IDDOC IN NUMBER, IDPAC IN NUMBER, IDSAL IN NUMBER) 
IS
FEI DATE;
FEF DATE;
IDDO NUMBER;
IDPA NUMBER;
IDSA NUMBER;
BEGIN
  IF(FEINI=NULL)THEN
  SELECT FECHA_INICIO_HOSP INTO FEI FROM HOSPITALIZACION WHERE ID_HOSPITALIZACION=IDHOS;
  ELSE
  FEI := FEINI;
  END IF;
  IF(FEFIN=NULL)THEN
  SELECT FECHA_FIN_HOSP INTO FEF FROM HOSPITALIZACION WHERE ID_HOSPITALIZACION=IDHOS;
  ELSE
  FEF := FEFIN;
  END IF;
  IF(IDDOC=NULL)THEN
  SELECT ID_DOCTOR INTO IDDO FROM HOSPITALIZACION WHERE ID_HOSPITALIZACION=IDHOS;
  ELSE
  IDDO := IDDOC;
  END IF;
  IF(IDPAC=NULL)THEN
  SELECT ID_PACIENTE INTO IDPA FROM HOSPITALIZACION WHERE ID_HOSPITALIZACION=IDHOS;
  ELSE
  IDPA := IDPAC;
  END IF;
  IF(IDSAL=NULL)THEN
  SELECT ID_SALA INTO IDSA FROM HOSPITALIZACION WHERE ID_HOSPITALIZACION=IDHOS;
  ELSE
  IDSA := IDSAL;
  END IF;
  UPDATE HOSPITALIZACION
  SET FECHA_INICIO_HOSP=FEI, FECHA_FIN_HOSP=FEF,ID_DOCTOR=IDDO,ID_PACIENTE=IDPA,ID_SALA=IDSA
  WHERE ID_HOSPITALIZACION=IDHOS;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_MEDCA_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_MEDCA_PROCE" 
(IDME IN NUMBER ,DOC IN VARCHAR2, IDBI IN NUMBER, IDCM IN NUMBER, IDCO IN NUMBER, IDTR IN NUMBER) 
IS
DOCI VARCHAR2(1024);
IDB NUMBER;
IDC NUMBER;
IDCOS NUMBER;
IDT NUMBER;
BEGIN
  IF(DOC=NULL)THEN
  SELECT DOCIS_MED INTO DOCI FROM MEDICAMENTO WHERE ID_MEDICAMENTO=IDME;
  ELSE
  DOCI := DOC;
  END IF;
  IF(IDBI=NULL)THEN
  SELECT ID_BITACORA INTO IDB FROM MEDICAMENTO WHERE ID_MEDICAMENTO=IDME;
  ELSE
  IDB := IDBI;
  END IF;
  IF(IDCM=NULL)THEN
  SELECT ID_CAT_MEDI INTO IDC FROM MEDICAMENTO WHERE ID_MEDICAMENTO=IDME;
  ELSE
  IDC := IDCM;
  END IF;
  IF(IDCO=NULL)THEN
  SELECT ID_COSTO INTO IDCOS FROM MEDICAMENTO WHERE ID_MEDICAMENTO=IDME;
  ELSE
  IDCOS := IDCO;
  END IF;
  IF(IDTR=NULL)THEN
  SELECT ID_TRATAMIENTO INTO IDT FROM MEDICAMENTO WHERE ID_MEDICAMENTO=IDME;
  ELSE
  IDT := IDTR;
  END IF;
  UPDATE MEDICAMENTO
  SET DOCIS_MED=DOCI, ID_BITACORA=IDB, ID_CAT_MEDI=IDC, ID_COSTO=IDC, ID_TRATAMIENTO=IDTR
  WHERE ID_MEDICAMENTO=IDME; 
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_REG_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_REG_PROCE" 
(IDRE IN NUMBER,  CONT VARCHAR2, PAI IN VARCHAR2) 
IS
CONTI VARCHAR2(1024);
PAISS VARCHAR2(1024);
BEGIN
  IF(CONT=NULL)THEN
  SELECT CONTINIENTE INTO  CONTI FROM REGION WHERE ID_REGION = IDRE;
  ELSE
  CONTI := CONT;
  END IF;
  IF(PAI=NULL)THEN
  SELECT PAIS INTO PAISS FROM REGION WHERE ID_REGION = IDRE;
  ELSE
  PAISS := PAI;
  END IF;
  UPDATE REGION
  SET CONTINIENTE=CONTI, PAIS=PAISS
  WHERE ID_REGION = IDRE;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_SAL_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_SAL_PROCE" 
(IDS IN NUMBER,CS IN NUMBER,HS IN NUMBER, IDH IN NUMBER) 
IS
CAS NUMBER;
HAS NUMBER;
IDHO NUMBER;
BEGIN
  IF(CS=NULL)THEN
  SELECT CAMA_SAL INTO CAS FROM SALA WHERE ID_SALA=IDS;
  ELSE
  CAS := CS;
  END IF;
  IF(HS=NULL)THEN
  SELECT HABITACION_SAL INTO  HAS FROM SALA WHERE ID_SALA=IDS;
  ELSE
  HAS := HS;
  END IF;
  IF(IDH=NULL)THEN
  SELECT ID_HOSPITAL INTO IDHO FROM SALA WHERE ID_SALA=IDS;
  ELSE
  IDHO := IDH;
  END IF;
  UPDATE SALA
  SET CAMA_SAL=CAS, HABITACION_SAL=HAS, ID_HOSPITAL=IDHO
  WHERE ID_SALA=IDS;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_SEG_CIR_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_SEG_CIR_PROCE" 
(ISC IN NUMBER, TS IN VARCHAR2, IC IN NUMBER ) 
IS
TSE VARCHAR2(1024);
ICI NUMBER;
BEGIN
  IF(TS=NULL)THEN
  SELECT TIPO_SEGUIMIENTO INTO TSE FROM SEGUIMIENTOCIRUGIA WHERE ID_SEGUIMIENTO=ISC;
  ELSE
  TSE := TS;
  END IF;
  IF(IC=NULL)THEN
  SELECT ID_CIRUGIA INTO ICI FROM SEGUIMIENTOCIRUGIA WHERE ID_SEGUIMIENTO=ISC;
  ELSE
  ICI := IC;
  END IF;
  UPDATE SEGUIMIENTOCIRUGIA
  SET TIPO_SEGUIMIENTO=TSE, ID_CIRUGIA=ICI
  WHERE ID_SEGUIMIENTO=ISC;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_TERA_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_TERA_PROCE" 
(IDTERA IN NUMBER, FETR IN DATE, IDBI IN NUMBER, IDCT IN NUMBER, IDCO IN NUMBER, IDTR IN NUMBER) 
IS
FT DATE;
BI NUMBER;
CT NUMBER;
CO NUMBER;
TR NUMBER;
BEGIN
  IF(FETR=NULL)THEN
  SELECT FECHA_DE_TERA INTO FT FROM TERAPIA WHERE ID_TERAPIA=IDTERA;
  ELSE
  FT := FETR;
  END IF;
  IF(IDBI=NULL)THEN
  SELECT ID_BITACORA INTO BI FROM TERAPIA WHERE ID_TERAPIA=IDTERA;
  ELSE
  BI := IDBI;
  END IF;
  IF(IDCT=NULL)THEN
  SELECT ID_CAT_TERA INTO CT FROM TERAPIA WHERE ID_TERAPIA=IDTERA;
  ELSE
  CT := IDCT;
  END IF;
  IF(IDCO=NULL)THEN
  SELECT ID_COSTO INTO CO FROM TERAPIA WHERE ID_TERAPIA=IDTERA;
  ELSE
  CO := IDCO;
  END IF;
  IF(IDTR=NULL)THEN
  SELECT ID_TERAPIA INTO TR FROM TERAPIA WHERE ID_TERAPIA=IDTERA;
  ELSE
  TR := IDTR;
  END IF;
  UPDATE TERAPIA
  SET FECHA_DE_TERA=FT, ID_BITACORA=BI, ID_CAT_TERA=CT, ID_COSTO=CO, ID_TERAPIA=TR
  WHERE ID_TERAPIA=IDTERA;
  COMMIT;
END;

/
--------------------------------------------------------
--  DDL for Procedure UPD_TRA_MED_PROCE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "CLINICA"."UPD_TRA_MED_PROCE" 
(IDRE IN NUMBER,  CONT VARCHAR2, PAI IN VARCHAR2) 
IS
CONTI VARCHAR2(1024);
PAIS VARCHAR2(1024);
BEGIN
  IF(CONT=NULL)THEN
  SELECT CONTINIENTE INTO  CONTI FROM REGION WHERE ID_REGION = IDRE;
  ELSE
  CONTI := CONT;
  END IF;
  IF(PAI=NULL)THEN
  SELECT PAIS INTO PAIS FROM REGION WHERE ID_REGION = IDRE;
  ELSE
  PAIS := PAI;
  END IF;
  UPDATE REGION
  SET CONTINIENTE=CONTI, PAIS=PAIS
  WHERE ID_REGION = IDRE;
  COMMIT;
END;

/
